bend-kit-time
Search uses release 0.3.0.0 · 189 definitions
Definitions (189)
- type Durationsecs + nanos / 10^9 seconds, with nanos below 10^9: -0.5 s is Duration{-1, 500000000}.
- type InstantA Duration since 1970-01-01T00:00:00Z.
- type DateA proleptic Gregorian date.
- type DateTime
- def i64
- def i64sThe signed 32-bit value of x, widened.
- def i64.ofhi * 2^32 + lo, as the bits of an I64.
- def Duration.zero
- def Duration.of_secs
- def Duration.of_ms
- def Duration.to_msWhole milliseconds, rounded down.
- def Duration.to_nat.of
- def Duration.to_ms_natWhole milliseconds, rounded down; 0 when d is negative.
- def Duration.to_us_natWhole microseconds, rounded down; 0 when d is negative.
- def Duration.carry
- def Duration.add
- def Duration.borrown is na - nb, wrapped when na < nb.
- def Duration.sub
- def Duration.neg
- def Duration.cmp.then
- def Duration.cmp
- def Instant.epoch
- def Instant.of_unix
- def Instant.of
- def Instant.since_epoch
- def Instant.add
- def Instant.sincea - b.
- def Instant.cmp
- def mono.raw(secs hi, secs lo, nanos) of CLOCK_MONOTONIC, from an unspecified start.
- def wall.raw(secs hi, secs lo, nanos) of CLOCK_REALTIME, since the Unix epoch.
- def raw.dur
- def monoTime since an unspecified start that never goes back.
- def mono.msMonotonic milliseconds.
- def mono.usMonotonic microseconds.
- def nowThe wall clock.
- def Date.is_leap
- def Date.days_in_month0 for a month outside 1 to 12.
- def Date.valid
- def Z.EPOCHz counts days from -0400-03-01, so every date from year 0 has z > 0 in a U32.
- def Date.to_z.at
- def Date.to_z.go
- def Date.to_z
- def Date.of_z.fin
- def Date.of_z
- def Date.to_daysDays since 1970-01-01.
- def Date.of_z.if
- def Date.of_daysThe date days after 1970-01-01, or None outside 0000-01-01 to 9999-12-31.
- def Date.weekday1 for Monday to 7 for Sunday, as in ISO 8601.
- def DateTime.valid
- def DateTime.to_instantThe instant of a UTC date and time.
- def DateTime.at
- def DateTime.floorr is secs % 86400, which has the sign of secs.
- def DateTime.of_instantThe UTC date and time of i, or None outside years 0 to 9999.
- def pad
- def Duration.show_ms.posMilliseconds with six decimal places.
- def Duration.show_ms.sign
- def Duration.show_ms
- def frac.goThe digits of n / 10^(9 - w), with trailing zeros cut.
- def frac
- def DateTime.rfc3339
- def fmt.map
- def rfc3339RFC 3339 in UTC, such as 1985-04-12T23:20:50.52Z.
- def WEEKDAYS
- def MONTHS
- def name
- def DateTime.http_date
- def http_dateIMF-fixdate (RFC 9110 §5.6.7), such as Sun, 06 Nov 1994 08:49:37 GMT.
- type PA parser state: the numbers read so far, newest first, and the text left.
- def is_digit
- def digits.go
- def push
- def numExactly n digits.
- def lit.if
- def lit2One char that is a or b.
- def lit
- def text
- def at.head
- def secfrac.goDigits after the first nine are read and dropped.
- def secfrac.fin
- def secfrac.if
- def secfracAn optional '.' and one or more digits, as nanoseconds.
- def zone.num
- def zone.if
- def zoneZ, or +hh:mm or -hh:mm, as (sign, hh, mm) with sign 1 for west of UTC.
- def index.go
- def wordOne of names, as its index.
- def mk.if
- def mk
- def rfc3339.shift
- def rfc3339.fin
- def rfc3339.parseAn RFC 3339 date-time (§5.6), such as 1985-04-12T23:20:50.52Z or 1996-12-19T16:39:57-08:00.
- def http_date.fin
- def http_date.parseAn IMF-fixdate (RFC 9110 §5.6.7), such as Sun, 06 Nov 1994 08:49:37 GMT.
- type TtypeA local time type: seconds east of UTC, whether it is daylight time, and its abbreviation.
- type TransFrom at on, local time follows types[idx].
- type ZoneA TZif zone (RFC 8536): transitions in time order, local time types, and the footer TZ string ("" in version 1).
- def ben bytes of a byte string, big-endian.
- def be32
- def u8
- def tzif.size